fop 2.3

## org.apache.fop.fonts
Class SingleByteFont.UnencodedCharacter

    java.lang.Object
      org.apache.fop.fonts.SingleByteFont.UnencodedCharacter

Enclosing class:
  SingleByteFont

    protected static final class SingleByteFont.UnencodedCharacter

extends java.lang.Object

Constructor Summary
`SingleByteFont.UnencodedCharacter(NamedCharacter character, int width, java.awt.Rectangle bbox)`

Method Summary
`java.awt.Rectangle` `getBBox()`
`NamedCharacter` `getCharacter()`
`int` `getWidth()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingleByteFont.UnencodedCharacter

    public SingleByteFont.UnencodedCharacter(NamedCharacter character,
                                             int width,
                                             java.awt.Rectangle bbox)

Method Detail

### getCharacter

    public NamedCharacter getCharacter()

### getWidth

    public int getWidth()

### getBBox

    public java.awt.Rectangle getBBox()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.